summaryrefslogtreecommitdiff
path: root/qa/recheck
diff options
context:
space:
mode:
Diffstat (limited to 'qa/recheck')
-rwxr-xr-xqa/recheck15
1 files changed, 15 insertions, 0 deletions
diff --git a/qa/recheck b/qa/recheck
new file mode 100755
index 0000000..165bb29
--- /dev/null
+++ b/qa/recheck
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# Rerun check for all the tests that failed last time ... the
+# ones with a *.out.bad file
+#
+
+list=`echo *.out.bad | sed -e 's/.out.bad//g'`
+
+if [ "$list" = "*" ]
+then
+ echo "Nothing failed, bozo!"
+ exit 1
+fi
+
+./check $* $list